---
title: <resolution>
slug: Web/CSS/resolution
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<div>{{CSSRef}}</div>

<p>The <strong><code>&lt;resolution&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a>, used for describing <a href="/en-US/docs/Web/CSS/@media/resolution">resolutions</a> in <a href="/en-US/docs/Web/CSS/Media_Queries">media queries</a>, denotes the pixel density of an output device, i.e., its resolution.</p>

<p>On screens, the units are related to <em>CSS</em> inches, centimeters, or pixels, not physical values.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;resolution&gt;</code> data type consists of a strictly positive {{cssxref("&lt;number&gt;")}} followed by one of the units listed below. As with all CSS dimensions, there is no space between the unit literal and the number.</p>

<h3 id="Units">Units</h3>

<dl>
 <dt><a id="dpi"><code id="dpi">dpi</code></a></dt>
 <dd>Represents the number of <a href="https://en.wikipedia.org/wiki/Dots_per_inch">dots per inch</a>. Screens typically contains 72 or 96 dots per inch, but the dpi for printed documents is usually much greater. As 1 inch is 2.54 cm, <code>1dpi ≈ 0.39dpcm</code>.</dd>
 <dt><a id="dpcm"><code id="dpcm">dpcm</code></a></dt>
 <dd>Represents the number of <a href="https://en.wikipedia.org/wiki/Dots_per_inch">dots per centimeter</a>. As 1 inch is 2.54 cm, <code>1dpcm ≈ 2.54dpi</code>.</dd>
 <dt><a id="dppx"><code id="dppx">dppx</code></a></dt>
 <dd>Represents the number of dots per <code><a href="/en-US/docs/Web/CSS/length#px">px</a></code> unit. Due to the 1:96 fixed ratio of CSS <code class="css">in</code> to CSS <code class="css">px</code>, <code class="css">1dppx</code> is equivalent to <code class="css">96dpi</code>, which corresponds to the default resolution of images displayed in CSS as defined by {{cssxref("image-resolution")}}.</dd>
 <dt><a id="x"><code>x</code></a></dt>
 <dd>Alias for <code>dppx</code>.</dd>
</dl>

<div class="note">
<p><strong>Note:</strong> Although the number <code>0</code> is always the same regardless of unit, the unit may not be omitted. In other words, <code>0</code> is invalid and does not represent <code>0dpi</code>, <code>0dpcm</code>, or <code>0dppx</code>.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Use_in_a_media_query">Use in a media query</h3>

<pre class="brush: css notranslate">@media print and (min-resolution: 300dpi) { ... }</pre>

<h3 id="Valid_resolutions">Valid resolutions</h3>

<pre class="notranslate">96dpi
50.82dpcm
3dppx
</pre>

<h3 id="Invalid_resolutions">Invalid resolutions</h3>

<pre class="example-bad notranslate">72 dpi     Spaces are not allowed between the number and the unit.
ten dpi    The number must use digits only.
0          The unit is required.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Values', '#resolution', '&lt;resolution&gt;')}}</td>
   <td>{{Spec2('CSS4 Values')}}</td>
   <td>Adds the <code>x</code> unit.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Values', '#resolution', '&lt;resolution&gt;')}}</td>
   <td>{{Spec2('CSS3 Values')}}</td>
   <td>Adds the <code>dppx</code> unit.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#resolution', '&lt;resolution&gt;')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.types.resolution")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/@media/resolution">resolution</a> media feature</li>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using @media queries</a></li>
</ul>
